package com.dsk.biz.mapper;

import com.dsk.biz.domain.BusinessUser;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 项目用户关联Mapper接口
 *
 * @author lxl
 * @date 2023-05-17
 */
public interface BusinessUserMapper
{
    /**
     * 查询项目用户关联
     *
     * @param id 项目用户关联主键
     * @return 项目用户关联
     */
    public BusinessUser selectBusinessUserById(Long id);

    /**
     * 查询项目用户关联列表
     *
     * @param businessUser 项目用户关联
     * @return 项目用户关联集合
     */
    public List<BusinessUser> selectBusinessUserList(BusinessUser businessUser);

    /**
     * 新增项目用户关联
     *
     * @param businessUser 项目用户关联
     * @return 结果
     */
    public int insertBusinessUser(BusinessUser businessUser);

    /**
     * 修改项目用户关联
     *
     * @param businessUser 项目用户关联
     * @return 结果
     */
    public int updateBusinessUser(BusinessUser businessUser);

    /**
     * 删除项目用户关联
     *
     * @param id 项目用户关联主键
     * @return 结果
     */
    public int deleteBusinessUserById(Long id);

    /**
     * 批量删除项目用户关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBusinessUserByIds(Long[] ids);

    /**
     * 根据项目id查询项目的创建人
     * @param businessId
     * @return
     */
    String selectCreatorByBusinessId(Integer businessId);

    /**
     * 查询是否为项目的创建人
     * @param businessId
     * @return
     */
    Integer selectFounder(@Param("businessId") Integer businessId, @Param("userId") Long userId);
}
